TESTING/EIG/dget33.f(3)

NAME
TESTING/EIG/dget33.f

SYNOPSIS

  Functions/Subroutines
subroutine dget33 (rmax, lmax, ninfo, knt)
DGET33

Function/Subroutine Documentation

  subroutine dget33 (double precision rmax, integer lmax, integer ninfo, integer knt)

DGET33

Purpose:

     DGET33 tests DLANV2, a routine for putting 2 by 2 blocks into
     standard form.  In other words, it computes a two by two rotation
     [[C,S];[-S,C]] where in
        [ C S ][T(1,1) T(1,2)][ C -S ] = [ T11 T12 ]
        [-S C ][T(2,1) T(2,2)][ S  C ]   [ T21 T22 ]
     either
        1) T21=0 (real eigenvalues), or
        2) T11=T22 and T21*T12<0 (complex conjugate eigenvalues).
     We also  verify that the residual is small.

Parameters
    RMAX

              RMAX is DOUBLE PRECISION
              Value of the largest test ratio.

    LMAX

              LMAX is INTEGER
              Example number where largest test ratio achieved.

    NINFO

              NINFO is INTEGER
              Number of examples returned with INFO .NE. 0.

    KNT

              KNT is INTEGER
              Total number of examples tested.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 75 of file dget33.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.